import React, { FC, ReactNode } from 'react';
import { MenuContext as MenuContextType, MenuProviderProps } from './types';
export declare const MenuContext: React.Context<MenuContextType>;
/**
 * The provider component for kmenu.
 *
 * @param {Config} config - the configuration file to be passed down to all palettes
 * @param {Dimensions} dimensions - the dimensions
 * @type {React.FC<MenuProviderProps & { children: ReactNode }>}
 * @returns {React.ReactElement} the menu provider
 */
export declare const MenuProvider: FC<MenuProviderProps & {
    children: ReactNode;
}>;
