import { Command, CommandWithIndex, UseCommandsProps } from '../types';
/**
 * A hook that allows you to sort and dynamically add menu commands
 *
 * @param {Command[]} initialCommands - The initial set of commands
 * @returns {CommandWithIndex} An object with arrays of sorted commands
 * @returns {() => void} A function which you can use to dynamically add commands
 */
export declare const useCommands: (initialCommands: UseCommandsProps) => [CommandWithIndex, (commands: Command[]) => void];
