import { UseShortcutProps } from '../types';
/**
 * Hook for creating new shortcuts.
 *
 * @param {string} targetKey - The key this shortcut is listening for
 * @param {enum} modifier - Modifier that will be used in conjuntion with the target key
 * @param {() => void} handler - The function that will run when this shortcut is pressed
 *
 * @returns {boolean} Whether or not this shortcut was pressed
 */
export declare const useShortcut: ({ targetKey, modifier, handler }: UseShortcutProps) => boolean;
